Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## morfologik.fsa.dictionary
Class DictionaryFeatures

    java.lang.Object
      morfologik.fsa.dictionary.DictionaryFeatures

    public final class DictionaryFeatures

extends java.lang.Object

Description of attributes, their types and default values.

See Also:
  `Dictionary`

Field Summary
`static java.lang.String` | `ATTR_NAME_ENCODING` Attribute name for `encoding`.
`static java.lang.String` | `ATTR_NAME_SEPARATOR` Attribute name for `separator`.
`static java.lang.String` | `ATTR_NAME_USES_INFIXES` Attribute name for `usesInfixes`.
`static java.lang.String` | `ATTR_NAME_USES_PREFIXES` Attribute name for `usesPrefixes`.
`java.lang.String` | `encoding` Encoding used for converting bytes to characters and vice versa.
`byte` | `separator` A separator character between fields (stem, lemma, form).
`boolean` | `usesInfixes` True if the dictionary was compiled with infix compression.
`boolean` | `usesPrefixes` True if the dictionary was compiled with prefix compression.

Constructor Summary
`DictionaryFeatures(char separator, java.lang.String encoding, boolean usesPrefixes, boolean usesInfixes)` Creates an immutable instance of `DictionaryFeatures`.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_NAME_SEPARATOR

    public static final java.lang.String ATTR_NAME_SEPARATOR

  Attribute name for `separator`.

  See Also:
    `fromMap(Properties)`, Constant Field Values

### ATTR_NAME_ENCODING

    public static final java.lang.String ATTR_NAME_ENCODING

  Attribute name for `encoding`.

  See Also:
    `fromMap(Properties)`, Constant Field Values

### ATTR_NAME_USES_PREFIXES

    public static final java.lang.String ATTR_NAME_USES_PREFIXES

  Attribute name for `usesPrefixes`.

  See Also:
    `fromMap(Properties)`, Constant Field Values

### ATTR_NAME_USES_INFIXES

    public static final java.lang.String ATTR_NAME_USES_INFIXES

  Attribute name for `usesInfixes`.

  See Also:
    `fromMap(Properties)`, Constant Field Values

### separator

    public final byte separator

  A separator character between fields (stem, lemma, form). The character must be within byte range (FSA uses bytes internally).

### encoding

    public final java.lang.String encoding

  Encoding used for converting bytes to characters and vice versa.

### usesPrefixes

    public final boolean usesPrefixes

  True if the dictionary was compiled with prefix compression.

### usesInfixes

    public final boolean usesInfixes

  True if the dictionary was compiled with infix compression.

Constructor Detail

### DictionaryFeatures

    public DictionaryFeatures(char separator,
                              java.lang.String encoding,
                              boolean usesPrefixes,
                              boolean usesInfixes)

  Creates an immutable instance of `DictionaryFeatures`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD